#include<iostream>
using namespace std;
int main(){
long long n;
cin>>n;
long long arr;
if(n%2==0){
    for(int i=0; i<n/2; i++){
        if(i==0){
            arr+=1;
        }else{
            arr+=10^i;
        }
    }
}
int g=-1;
if(n<2){
    cout<<g<<endl;
}

return 0;
}
